rizamodocs
Custom fields

Create a custom field

POST
/fields

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the web app, under Developers. It starts with rz_live_.

Request Body

application/json
  1. body
key*string

Lowercase letters, digits and underscores, starting with a letter. It cannot change.

Match^[a-z][a-z0-9_]{0,39}$
entity?"post"
Default"post"
Value in"post"
label*string
Length1 <= length <= 60
type*string
Value in"text""select""multi_select""number""url""date""checkbox"
options?array<>

The choices of a select or multi_select field. Required for those, refused for the others.

Itemsitems <= 100
description?string
Lengthlength <= 200

Response Body

OK

application/json
  1. response
key*string
entity*"post"
Value in"post"
label*string
type*string
Value in"text""select""multi_select""number""url""date""checkbox"
options?array<string>
description?string
Example Request
curl -X POST 'https://api.rizamo.com/v1/fields' \  -H 'Content-Type: application/json' \  -d '{  "key": "string",  "label": "string",  "type": "text"}'
Example Response201
{  "key": "string",  "entity": "post",  "label": "string",  "type": "text",  "options": [    "string"  ],  "description": "string"}